=== modified file 'lib/lp/archivepublisher/scripts/generate_extra_overrides.py'
--- lib/lp/archivepublisher/scripts/generate_extra_overrides.py	2012-01-03 01:20:36 +0000
+++ lib/lp/archivepublisher/scripts/generate_extra_overrides.py	2012-01-03 01:30:48 +0000
@@ -59,11 +59,9 @@
     We are allowed to modify DEVELOPMENT or FROZEN series, but should leave
     series with any other status alone.
     """
-    operable_series = []
-    for series in distribution.series:
-        if series.status in (SeriesStatus.DEVELOPMENT, SeriesStatus.FROZEN):
-            operable_series.append(series)
-    return operable_series
+    return [
+        series for series in distribution.series
+        if series.status in (SeriesStatus.DEVELOPMENT, SeriesStatus.FROZEN)]
 
 
 class GenerateExtraOverrides(LaunchpadScript):

